<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [CDPSession](./puppeteer.cdpsession.md) &gt; [send](./puppeteer.cdpsession.send.md)

## CDPSession.send() method

<b>Signature:</b>

```typescript
send<T extends keyof Protocol.CommandParameters>(method: T, params?: Protocol.CommandParameters[T]): Promise<Protocol.CommandReturnValues[T]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  method | T |  |
|  params | Protocol.CommandParameters\[T\] |  |

<b>Returns:</b>

Promise&lt;Protocol.CommandReturnValues\[T\]&gt;

